from pathlib import Path

from qgis.PyQt import uic
from qgis.PyQt.QtWidgets import QDialog, QWidget


class PLUiDashboardDialog(QDialog):
    def __init__(self, parent: QWidget):
        """
        QDialog to display dashboard

        Args:
            parent: parent QWidget
        """
        super().__init__(parent)

        uic.loadUi(Path(__file__).parent / f"{Path(__file__).stem}.ui", self)

        self.setWindowTitle(self.tr("PLUi - Tableau de bord"))
